# VNF FM commands

VNF FM commands are CLI interface of VNF Fault Management interface in ETSI NFV-SOL 002 and ETSI NFV-SOL 003.

Note

Commands only support calling version 2 vnffm APIs. You can use the commands with --os-tacker-api-version 2 to call version 2 vnffm APIs.

## vnffm alarm list

List VNF FM alarms

    openstack vnffm alarm list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter <filter>]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <filter>

  Attribute-based-filtering parameters

This command is provided by the python-tackerclient plugin.

## vnffm alarm show

Display VNF FM alarm details

    openstack vnffm alarm show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-fm-alarm-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-fm-alarm-id

  VNF FM alarm ID to display

This command is provided by the python-tackerclient plugin.

## vnffm alarm update

Update information about an individual VNF FM alarm

    openstack vnffm alarm update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--ack-state <ack-state>]
        <vnf-fm-alarm-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--ack-state <ack-state>

  Ask state can be ‘ACKNOWLEDGED’ or ‘UNACKNOWLEDGED’.

vnf-fm-alarm-id

  VNF FM alarm ID to update.

This command is provided by the python-tackerclient plugin.

## vnffm sub create

Create a new VNF FM subscription

    openstack vnffm sub create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <param-file>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

param-file

  Specify create VNF FM subscription request parameters in a json file.

This command is provided by the python-tackerclient plugin.

## vnffm sub delete

Delete VNF FM subscription(s)

    openstack vnffm sub delete <vnf-fm-sub-id> [<vnf-fm-sub-id> ...]

vnf-fm-sub-id

  VNF FM subscription ID(s) to delete

This command is provided by the python-tackerclient plugin.

## vnffm sub list

List VNF FM subs

    openstack vnffm sub list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter <filter>]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <filter>

  Attribute-based-filtering parameters

This command is provided by the python-tackerclient plugin.

## vnffm sub show

Display VNF FM subscription details

    openstack vnffm sub show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-fm-sub-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-fm-sub-id

  VNF FM subscription ID to display

This command is provided by the python-tackerclient plugin.

this page last updated: 2025-02-13 15:52:31

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug